// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ForecastIEDOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ForecastIED)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ForecastValueSource forecastValueSource = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the forecastValueSource field is set.
   */
  boolean hasForecastValueSource();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ForecastValueSource forecastValueSource = 1 [(.uml.option_parent_message) = true];</code>
   * @return The forecastValueSource.
   */
  openfmb.commonmodule.ForecastValueSource getForecastValueSource();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ForecastValueSource forecastValueSource = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ForecastValueSourceOrBuilder getForecastValueSourceOrBuilder();

  /**
   * <pre>
   * For control, this is an application ID, unique within communication system, and if the message
   * is transformed between gateway the original source application ID should be kept.
   * </pre>
   *
   * <code>string sourceApplicationID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The sourceApplicationID.
   */
  java.lang.String getSourceApplicationID();
  /**
   * <pre>
   * For control, this is an application ID, unique within communication system, and if the message
   * is transformed between gateway the original source application ID should be kept.
   * </pre>
   *
   * <code>string sourceApplicationID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The bytes for sourceApplicationID.
   */
  com.google.protobuf.ByteString
      getSourceApplicationIDBytes();

  /**
   * <pre>
   * Message publication date time
   * </pre>
   *
   * <code>int64 sourceDateTime = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The sourceDateTime.
   */
  long getSourceDateTime();
}
